pogend
pogend
发布于 4周前

解决xcode 9.2上传app到appstore报Java异常:IllegalStateException: could not find needed OSGiFramework

升级到xcode 9.2,上传app到appstore报java错误:

java.lang.reflect.InvocationTargetException
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.lang.reflect.Method.invoke(Method.java:498)
    at com.apple.transporter.launcher.Application.start(Application.java:206)
    at com.apple.transporter.launcher.Application.main(Application.java:519)
Caused by: java.lang.IllegalStateException: could not find needed OSGiFramework
    at com.apple.transporter.osgi.BootstrapHelper.setupClassLoader(BootstrapHelper.java:120)
    at com.apple.transporter.osgi.FelixOSGiBootstrapper.bootstrap(FelixOSGiBootstrapper.java:9)

Java版本:1.8.0_151

删除.itmstransporter目录后解决了问题:

rm -R ~/.itmstransporter